QwtPointPolar(3)

NAME
QwtPointPolar -

SYNOPSIS

#include <qwt_point_polar.h>

  Public Member Functions
QwtPointPolar ()
QwtPointPolar (double azimuth, double radius)
QwtPointPolar (const QwtPointPolar &)
QwtPointPolar (const QPointF &)
double azimuth () const
bool isNull () const
bool isValid () const
QwtPointPolar normalized () const
bool operator!= (const QwtPointPolar &) const
bool operator== (const QwtPointPolar &) const
double radius () const
double & rAzimuth ()
double & rRadius ()
void setAzimuth (double)
void setPoint (const QPointF &)
void setRadius (double)
QPointF toPoint () const

Detailed Description

A point in polar coordinates. In polar coordinates a point is determined by an angle and a distance. See http://en.wikipedia.org/wiki/Polar_coordinate_system

Constructor & Destructor Documentation

  QwtPointPolar::QwtPointPolar () [inline]
Constructs a null point, with a radius and azimuth set to 0.0.

See also:
    QPointF::isNull

  QwtPointPolar::QwtPointPolar (doubleazimuth, doubleradius) [inline]
Constructs a point with coordinates specified by radius and azimuth.

Parameters:
    azimuth Azimuth
    radius Radius

  QwtPointPolar::QwtPointPolar (const QwtPointPolar &other) [inline]
Constructs a point using the values of the point specified.

Parameters:
    other Other point

  QwtPointPolar::QwtPointPolar (const QPointF &p)
Convert and assign values from a point in Cartesian coordinates

Parameters:
    p Point in Cartesian coordinates

See also:
    setPoint(), toPoint()

Member Function Documentation

  QwtPointPolar QwtPointPolar::normalized () const
Normalize radius and azimuth

When the radius is < 0.0 it is set to 0.0. The azimuth is a value >= 0.0 and < 2 * M_PI.

  bool QwtPointPolar::operator!= (const QwtPointPolar &other) const
Returns true if point1 is not equal to point2; otherwise returns false.

Two points are equal to each other if radius and azimuth-coordinates are the same. Points are not equal, when the azimuth differs, but other.azimuth() == azimuth() % (2 * PI).

See also:
    normalized()

  bool QwtPointPolar::operator== (const QwtPointPolar &other) const
Returns true if point1 is equal to point2; otherwise returns false.

Two points are equal to each other if radius and azimuth-coordinates are the same. Points are not equal, when the azimuth differs, but other.azimuth() == azimuth() % (2 * PI).

See also:
    normalized()

  void QwtPointPolar::setPoint (const QPointF &p)
Convert and assign values from a point in Cartesian coordinates

Parameters:
    p Point in Cartesian coordinates

  QPointF QwtPointPolar::toPoint () const
Convert and return values in Cartesian coordinates

Note:
    Invalid or null points will be returned as QPointF(0.0, 0.0)

See also:
    isValid(), isNull()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.